Last Comment Bug 1165726 - TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/mozmill/testBasicFunctionality.js | testBasicFunctionality.js::testSmokeTest
: TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/mozmill/testBasicFuncti...
Status: RESOLVED FIXED
: intermittent-failure
Product: Calendar
Classification: Client Software
Component: General (show other bugs)
: Trunk
: Unspecified Unspecified
-- normal (vote)
: 4.3
Assigned To: Stefan Sitter
:
:
Mentors:
Depends on: 1165002
Blocks:
  Show dependency treegraph
 
Reported: 2015-05-17 11:34 PDT by Magnus Melin
Modified: 2015-05-20 13:45 PDT (History)
0 users
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description User image Magnus Melin 2015-05-17 11:34:01 PDT
01:27:43     INFO -  TEST-START | /builds/slave/test/build/tests/mozmill/testBasicFunctionality.js | setupModule
01:27:43     INFO -  TEST-PASS | /builds/slave/test/build/tests/mozmill/testBasicFunctionality.js | testBasicFunctionality.js::setupModule
01:27:43     INFO -  TEST-START | /builds/slave/test/build/tests/mozmill/testBasicFunctionality.js | testSmokeTest
01:27:43     INFO -  TypeError: Components.classes[cid] is undefined
01:27:43     INFO -  -- Exception object --
01:27:43     INFO -  *
01:27:43     INFO -  -- Stack Trace --
01:27:43     INFO -  _calIcalCreator/<@resource://calendar/modules/calUtils.jsm -> file:///builds/slave/test/build/application/thunderbird/extensions/%7Be2fda1a4-762b-4020-b5ad-a41df1933103%7D/calendar-js/calUtils.js:17:13
01:27:43     INFO -  jsDateToDateTime@resource://calendar/modules/calUtils.jsm:561:23
01:27:43     INFO -  now@chrome://calendar/content/calUtils.js:387:13
01:27:43     INFO -  switchToView@chrome://calendar/content/calendar-views.js:231:23
01:27:43     INFO -  ltnSwitch2Calendar@chrome://lightning/content/messenger-overlay-sidebar.js:541:5
01:27:43     INFO -  calendarTabType.modes.calendar.openTab@chrome://lightning/content/messenger-overlay-sidebar.js:49:13
01:27:43     INFO -  openTab@chrome://messenger/content/tabmail.xml:559:1
01:27:43     INFO -  oncommand@chrome://messenger/content/messenger.xul:1:1
01:27:43     INFO -  synthesizeMouse@resource://mozmill/stdlib/EventUtils.js:247:7
01:27:43     INFO -  MozMillController.prototype.mouseEvent@resource://mozmill/modules/controller.js:514:1
01:27:43     INFO -  MozMillController.prototype.click@resource://mozmill/modules/controller.js:531:5
01:27:43     INFO -  testSmokeTest@resource://mozmill/modules/frame.js -> file:///builds/slave/test/build/tests/mozmill/testBasicFunctionality.js:25:1
01:27:43     INFO -  Runner.prototype.wrapper@resource://mozmill/modules/frame.js:585:9
01:27:43     INFO -  Runner.prototype._runTestModule@resource://mozmill/modules/frame.js:655:9
01:27:43     INFO -  Runner.prototype.runTestModule@resource://mozmill/modules/frame.js:701:3
01:27:43     INFO -  Runner.prototype.runTestFile@resource://mozmill/modules/frame.js:534:3
01:27:43     INFO -  runTestFile@resource://mozmill/modules/frame.js:713:3
01:27:43     INFO -  Bridge.prototype._execFunction@resource://jsbridge/modules/server.js:179:10
01:27:43     INFO -  Bridge.prototype.execFunction@resource://jsbridge/modules/server.js:183:16
01:27:43     INFO -  @resource://jsbridge/modules/server.js:283:1
01:27:43     INFO -  Session.prototype.receive@resource://jsbridge/modules/server.js:283:3
01:27:43     INFO -  AsyncRead.prototype.onDataAvailable@resource://jsbridge/modules/server.js:88:3
01:27:57     INFO -  TEST-START | /builds/slave/test/build/tests/mozmill/testBasicFunctionality.js | teardownTest
01:27:57     INFO -  TEST-PASS | /builds/slave/test/build/tests/mozmill/testBasicFunctionality.js | testBasicFunctionality.js::teardownTest
01:27:57  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/mozmill/testBasicFunctionality.js | testBasicFunctionality.js::testSmokeTest
01:27:57     INFO -  INFO Passed: 2
01:27:57     INFO -  INFO Failed: 1
01:27:57     INFO -  INFO Skipped: 0
01:27:57     INFO -  SUMMARY-PASS | testBasicFunctionality.js::setupModule
01:27:57     INFO -  SUMMARY-PASS | testBasicFunctionality.js::teardownTest
01:27:57     INFO -  SUMMARY-UNEXPECTED-FAIL | testBasicFunctionality.js | testBasicFunctionality.js::testSmokeTest
01:27:57     INFO -    EXCEPTION: Expression "[0]" returned null. Anonymous == false
01:27:57     INFO -      at: elementslib.js line 455
01:27:57     INFO -         Lookup.prototype.getNode/reduceLookup elementslib.js:455 1
01:27:57     INFO -         Lookup.prototype.getNode elementslib.js:501 10
01:27:57     INFO -         MozMillController.prototype.assertNode controller.js:912 17
01:27:57     INFO -         testSmokeTest testBasicFunctionality.js:51 1
01:27:57     INFO -         Runner.prototype.wrapper frame.js:585 9
01:27:57     INFO -         Runner.prototype._runTestModule frame.js:655 9
01:27:57     INFO -         Runner.prototype.runTestModule frame.js:701 3
01:27:57     INFO -         Runner.prototype.runTestFile frame.js:534 3
01:27:57     INFO -         runTestFile frame.js:713 3
01:27:57     INFO -         Bridge.prototype._execFunction server.js:179 10
01:27:57     INFO -         Bridge.prototype.execFunction server.js:183 16
01:27:57     INFO -         Session.prototype.receive server.js:283 3
01:27:57     INFO -         AsyncRead.prototype.onDataAvailable server.js:88 3
01:27:57  WARNING -  TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
01:27:57     INFO -  INFO | (runtestlist.py) | testBasicFunctionality.js: 2 passed, 1 failed
Comment 1 User image Treeherder Robot 2015-05-17 11:34:27 PDT
log: https://treeherder.mozilla.org/logviewer.html#?repo=comm-central&job_id=18495
repository: comm-central
start_time: 2015-05-17T00:52:40
who: mkmelin+mozilla[at]iki[dot]fi
machine: tst-linux32-spot-229
buildname: Ubuntu VM 12.04 comm-central opt test mozmill
revision: fcbd8eb059be

TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/mozmill/folder-widget/test-message-filters.js | test-message-filters.js::test_customize_toolbar_doesnt_double_get_mail_menu
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/mozmill/tabmail/test-tabmail-customize.js | test-tabmail-customize.js::test_redirects_toolbarbutton_drops
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/mozmill/tabmail/test-tabmail-customize.js | test-tabmail-customize.js::teardownModule
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TypeError: Components.classes[cid] is undefined
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/mozmill/testBasicFunctionality.js | testBasicFunctionality.js::testSmokeTest
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TypeError: Components.classes[cid] is undefined
TEST-UNEXPECTED-FAIL | Disconnect Error: Application unexpectedly closed
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TypeError: Components.classes[cid] is undefined
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/mozmill/testTodayPane.js | testTodayPane.js::testTodayPane
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Return code: 1
No tests run or test summary not found
Comment 2 User image Treeherder Robot 2015-05-17 11:34:53 PDT
log: https://treeherder.mozilla.org/logviewer.html#?repo=comm-central&job_id=18517
repository: comm-central
start_time: 2015-05-17T04:12:24
who: mkmelin+mozilla[at]iki[dot]fi
machine: tst-linux32-spot-059
buildname: Ubuntu VM 12.04 comm-central opt test mozmill
revision: fcbd8eb059be

TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/mozmill/folder-widget/test-message-filters.js | test-message-filters.js::test_customize_toolbar_doesnt_double_get_mail_menu
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/mozmill/tabmail/test-tabmail-customize.js | test-tabmail-customize.js::test_redirects_toolbarbutton_drops
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/mozmill/tabmail/test-tabmail-customize.js | test-tabmail-customize.js::teardownModule
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TypeError: Components.classes[cid] is undefined
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/mozmill/testBasicFunctionality.js | testBasicFunctionality.js::testSmokeTest
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TypeError: Components.classes[cid] is undefined
TEST-UNEXPECTED-FAIL | Disconnect Error: Application unexpectedly closed
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TypeError: Components.classes[cid] is undefined
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/mozmill/testTodayPane.js | testTodayPane.js::testTodayPane
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Return code: 1
No tests run or test summary not found
Comment 3 User image Treeherder Robot 2015-05-17 11:35:13 PDT
log: https://treeherder.mozilla.org/logviewer.html#?repo=comm-central&job_id=18492
repository: comm-central
start_time: 2015-05-17T00:55:03
who: mkmelin+mozilla[at]iki[dot]fi
machine: tst-linux64-spot-1217
buildname: Ubuntu VM 12.04 x64 comm-central opt test mozmill
revision: fcbd8eb059be

TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/mozmill/folder-widget/test-message-filters.js | test-message-filters.js::test_customize_toolbar_doesnt_double_get_mail_menu
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/mozmill/tabmail/test-tabmail-customize.js | test-tabmail-customize.js::test_redirects_toolbarbutton_drops
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/mozmill/tabmail/test-tabmail-customize.js | test-tabmail-customize.js::teardownModule
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TypeError: Components.classes[cid] is undefined
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/mozmill/testBasicFunctionality.js | testBasicFunctionality.js::testSmokeTest
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TypeError: Components.classes[cid] is undefined
TEST-UNEXPECTED-FAIL | Disconnect Error: Application unexpectedly closed
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TypeError: Components.classes[cid] is undefined
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/mozmill/testTodayPane.js | testTodayPane.js::testTodayPane
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Return code: 1
No tests run or test summary not found
Comment 4 User image Treeherder Robot 2015-05-17 11:35:30 PDT
log: https://treeherder.mozilla.org/logviewer.html#?repo=comm-central&job_id=18518
repository: comm-central
start_time: 2015-05-17T04:15:11
who: mkmelin+mozilla[at]iki[dot]fi
machine: tst-linux64-spot-549
buildname: Ubuntu VM 12.04 x64 comm-central opt test mozmill
revision: fcbd8eb059be

TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/mozmill/content-policy/test-general-content-policy.js | test-general-content-policy.js::test_generalContentPolicy
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/mozmill/folder-widget/test-message-filters.js | test-message-filters.js::test_customize_toolbar_doesnt_double_get_mail_menu
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/mozmill/tabmail/test-tabmail-customize.js | test-tabmail-customize.js::test_redirects_toolbarbutton_drops
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/mozmill/tabmail/test-tabmail-customize.js | test-tabmail-customize.js::teardownModule
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TypeError: Components.classes[cid] is undefined
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/mozmill/testBasicFunctionality.js | testBasicFunctionality.js::testSmokeTest
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TypeError: Components.classes[cid] is undefined
TEST-UNEXPECTED-FAIL | Disconnect Error: Application unexpectedly closed
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TypeError: Components.classes[cid] is undefined
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/mozmill/testTodayPane.js | testTodayPane.js::testTodayPane
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Return code: 1
No tests run or test summary not found
Comment 5 User image Stefan Sitter 2015-05-17 12:10:10 PDT
Failing to load icaljs instead of libical is known problem and will be fixed with Bug 1165002 that is waiting for check-in.
Comment 6 User image Stefan Sitter 2015-05-18 00:41:47 PDT
Was fixed by check-in of Bug 1165002.
Comment 7 User image Treeherder Robot 2015-05-20 13:45:31 PDT
log: https://treeherder.mozilla.org/logviewer.html#?repo=comm-central&job_id=18788
repository: comm-central
start_time: 2015-05-20T11:46:12
who: kent[at]caspia[dot]com
machine: tst-linux32-spot-721
buildname: Ubuntu VM 12.04 comm-central opt test mozmill
revision: 8991f07b089b

TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/mozmill/quick-filter-bar/test-display-issues.js | test-display-issues.js::test_buttons_collapse_and_expand
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/mozmill/session-store/test-session-store.js | test-session-store.js::test_message_pane_height_persistence
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/mozmill/testBasicFunctionality.js | testBasicFunctionality.js::<TOP_LEVEL>
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/mozmill/testLocalICS.js | testLocalICS.js::<TOP_LEVEL>
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/mozmill/testTodayPane.js | testTodayPane.js::<TOP_LEVEL>
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Return code: 1
No tests run or test summary not found

Note You need to log in before you can comment on or make changes to this bug.